SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Oracle Java SE Vendors:   Oracle, Sun
(Oracle Issues Fix for Oracle Linux) Oracle Java SE Multiple Flaws Let Remote Users Access and Modify Data, Deny Service, and Gain Elevated Privileges and Let Local Users Gain Elevated Privileges
SecurityTracker Alert ID:  1040229
SecurityTracker URL:  http://securitytracker.com/id/1040229
CVE Reference:   CVE-2018-2579, CVE-2018-2582, CVE-2018-2588, CVE-2018-2599, CVE-2018-2602   (Links to External Site)
Date:  Jan 18 2018
Impact:   Denial of service via network, Disclosure of system information, Disclosure of user information, Modification of system information, Modification of user information, User access via local system, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 6u171, 7u161, 8u152, 9.0.1
Description:   Multiple vulnerabilities were reported in Oracle Java SE. A remote or local user can obtain elevated privileges on the target system. A remote user can access and modify data on the target system. A remote user can cause denial of service conditions on the target system.

A remote user can exploit a flaw in the Java SE Deployment component to gain elevated privileges [CVE-2018-2638, CVE-2018-2639].

A remote user can exploit a flaw in the Java SE, Java SE Embedded, JRockit JNDI component to gain elevated privileges [CVE-2018-2633].

A local user can exploit a flaw in the Java SE Installer component to gain elevated privileges [CVE-2018-2627].

A remote user can exploit a flaw in the Java SE, Java SE Embedded, JRockit JMX component to access and modify data [CVE-2018-2637].

A remote user can exploit a flaw in the Java SE, Java SE Embedded JGSS component to access data [CVE-2018-2634].

A remote user can exploit a flaw in the Java SE, Java SE Embedded Hotspot component to modify data [CVE-2018-2582].

A remote user can exploit a flaw in the Java SE, Java SE Embedded AWT component to modify data [CVE-2018-2641].

A remote user can exploit a flaw in the Java SE, Java SE Embedded, JRockit JCE component to access data [CVE-2018-2618].

A remote user can exploit a flaw in the Java SE, Java SE Embedded, JRockit JGSS component to modify data [CVE-2018-2629].

A remote user can exploit a flaw in the Java SE, Java SE Embedded, JRockit Libraries component to cause partial denial of service conditions [CVE-2018-2603].

A remote user can exploit a flaw in the Java SE, JRockit Serialization component to cause partial denial of service conditions [CVE-2018-2657].

A remote user can exploit a flaw in the Java SE, Java SE Embedded, JRockit JNDI component to partially modify data and cause partial denial of service conditions [CVE-2018-2599].

A remote user can exploit a flaw in the Java SE JavaFX component to partially access data [CVE-2018-2581].

A local user can exploit a flaw in the Java SE, Java SE Embedded I18n component to partially access data, partially modify data, and partially deny service [CVE-2018-2602].

A remote user can exploit a flaw in the Java SE, Java SE Embedded AWT component to cause partial denial of service conditions [CVE-2018-2677].

A remote user can exploit a flaw in the Java SE, Java SE Embedded, JRockit JNDI component to cause partial denial of service conditions [CVE-2018-2678].

A remote authenticated user can exploit a flaw in the Java SE, Java SE Embedded, JRockit LDAP component to partially access data [CVE-2018-2588].

A remote user can exploit a flaw in the Java SE, Java SE Embedded, JRockit Libraries component to cause partial denial of service conditions [CVE-2018-2663].

A remote user can exploit a flaw in the Java Advanced Management Console Server component to partially access data [CVE-2018-2675].

A remote user can exploit a flaw in the Java SE, Java SE Embedded, JRockit Libraries component to partially access data [CVE-2018-2579].

Moritz Bechler, Michal Rydlo, Greg Hudson of MIT Kerberos team, Allen Reese, Apostolos Giannakidis of Waratek, and Matej Tymes reported these vulnerabilities.

Impact:   A remote user can obtain data on the target system.

A remote user can modify data on the target system.

A remote user can cause denial of service conditions.

A local user can obtain elevated privileges on the target system.

A remote user can gain elevated privileges on the target system.

Solution:   Oracle has issued a fix for CVE-2018-2579, CVE-2018-2582, CVE-2018-2588, CVE-2018-2599, and CVE-2018-2602 for java-1.8.0-openjdk.

The Oracle Linux advisory is available at:

http://linux.oracle.com/errata/ELSA-2018-0095.html

Vendor URL:  linux.oracle.com/errata/ELSA-2018-0095.html (Links to External Site)
Cause:   Not specified
Underlying OS:  Linux (Oracle)
Underlying OS Comments:  7

Message History:   This archive entry is a follow-up to the message listed below.
Jan 17 2018 Oracle Java SE Multiple Flaws Let Remote Users Access and Modify Data, Deny Service, and Gain Elevated Privileges and Let Local Users Gain Elevated Privileges



 Source Message Contents

Subject:  [El-errata] ELSA-2018-0095 Important: Oracle Linux 7 java-1.8.0-openjdk security update

Oracle Linux Security Advisory ELSA-2018-0095

http://linux.oracle.com/errata/ELSA-2018-0095.html

The following updated rpms for Oracle Linux 7 have been uploaded to the 
Unbreakable Linux Network:

x86_64:
java-1.8.0-openjdk-1.8.0.161-0.b14.el7_4.i686.rpm
java-1.8.0-openjdk-1.8.0.161-0.b14.el7_4.x86_64.rpm
java-1.8.0-openjdk-accessibility-1.8.0.161-0.b14.el7_4.i686.rpm
java-1.8.0-openjdk-accessibility-1.8.0.161-0.b14.el7_4.x86_64.rpm
java-1.8.0-openjdk-accessibility-debug-1.8.0.161-0.b14.el7_4.i686.rpm
java-1.8.0-openjdk-accessibility-debug-1.8.0.161-0.b14.el7_4.x86_64.rpm
java-1.8.0-openjdk-debug-1.8.0.161-0.b14.el7_4.i686.rpm
java-1.8.0-openjdk-debug-1.8.0.161-0.b14.el7_4.x86_64.rpm
java-1.8.0-openjdk-demo-1.8.0.161-0.b14.el7_4.i686.rpm
java-1.8.0-openjdk-demo-1.8.0.161-0.b14.el7_4.x86_64.rpm
java-1.8.0-openjdk-demo-debug-1.8.0.161-0.b14.el7_4.i686.rpm
java-1.8.0-openjdk-demo-debug-1.8.0.161-0.b14.el7_4.x86_64.rpm
java-1.8.0-openjdk-devel-1.8.0.161-0.b14.el7_4.i686.rpm
java-1.8.0-openjdk-devel-1.8.0.161-0.b14.el7_4.x86_64.rpm
java-1.8.0-openjdk-devel-debug-1.8.0.161-0.b14.el7_4.i686.rpm
java-1.8.0-openjdk-devel-debug-1.8.0.161-0.b14.el7_4.x86_64.rpm
java-1.8.0-openjdk-headless-1.8.0.161-0.b14.el7_4.i686.rpm
java-1.8.0-openjdk-headless-1.8.0.161-0.b14.el7_4.x86_64.rpm
java-1.8.0-openjdk-headless-debug-1.8.0.161-0.b14.el7_4.i686.rpm
java-1.8.0-openjdk-headless-debug-1.8.0.161-0.b14.el7_4.x86_64.rpm
java-1.8.0-openjdk-javadoc-1.8.0.161-0.b14.el7_4.noarch.rpm
java-1.8.0-openjdk-javadoc-debug-1.8.0.161-0.b14.el7_4.noarch.rpm
java-1.8.0-openjdk-javadoc-zip-1.8.0.161-0.b14.el7_4.noarch.rpm
java-1.8.0-openjdk-javadoc-zip-debug-1.8.0.161-0.b14.el7_4.noarch.rpm
java-1.8.0-openjdk-src-1.8.0.161-0.b14.el7_4.i686.rpm
java-1.8.0-openjdk-src-1.8.0.161-0.b14.el7_4.x86_64.rpm
java-1.8.0-openjdk-src-debug-1.8.0.161-0.b14.el7_4.i686.rpm
java-1.8.0-openjdk-src-debug-1.8.0.161-0.b14.el7_4.x86_64.rpm


SRPMS:
http://oss.oracle.com/ol7/SRPMS-updates/java-1.8.0-openjdk-1.8.0.161-0.b14.el7_4.src.rpm



Description of changes:

[1:1.8.0.161-0.b14]
- Update to b14 with updated Zero fix for 8174962 (S8194828)
- Resolves: rhbz#1528233

[1:1.8.0.161-0.b13]
- Update to b13 including Zero fix for 8174962 (S8194739) and restoring 
tzdata2017c update
- Resolves: rhbz#1528233

[1:1.8.0.161-0.b12]
- Add new file cmsalpha.c to %{name}-remove-intree-libraries.sh
- Resolves: rhbz#1528233

[1:1.8.0.161-0.b12]
- Replace tarballs with version including AArch64 fix for 8174962 (S8194686)
- Resolves: rhbz#1528233

[1:1.8.0.161-0.b12]
- Switch bootstrap back to java-1.7.0-openjdk on all architectures, 
depending on RH1482244 fix
- Resolves: rhbz#1528233

[1:1.8.0.161-0.b12]
- Update to aarch64-jdk8u161-b12 and aarch64-shenandoah-jdk8u161-b12 
(mbalao)
- Drop upstreamed patches for 8075484 (RH1490713), 8153711 (RH1284948),
   8162384 (RH1358661), 8164293 (RH1459641), 8173941, 8175813 (RH1448880),
   8175887 and 8180048 (RH1449870).(mbalao)
- Resolves: rhbz#1528233


_______________________________________________
El-errata mailing list
El-errata@oss.oracle.com
https://oss.oracle.com/mailman/listinfo/el-errata
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC